<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div
  class="py-3"
  *ngIf="jobDataResponse">

  <div
    class="mb-2 fw-bold"
    [innerText]="jobDataResponse.job | serviceName">
  </div>

  <div class="border-start">
    <div class="ms-2">

      <div
        [innerText]="messages.MEMORY_JVM_USE + ' ' + jobDataResponse.jvmMemoryPercentage + '%'">
      </div>
      <div class="progress">
        <div
          class="progress-bar"
          role="progressbar"
          [style.width.%]="jobDataResponse.jvmMemoryPercentage"
          aria-valuenow="{{jobDataResponse.jvmMemoryPercentage}}"
          aria-valuemin="0"
          aria-valuemax="100">
        </div>
      </div>

      <div
        class="mt-2"
        [innerText]="messages.SYSTEM_CPU_USE + ' ' + jobDataResponse.systemCpuPercentage + '%'">
      </div>
      <div class="progress">
        <div
          class="progress-bar"
          role="progressbar"
          [style.width.%]="jobDataResponse.systemCpuPercentage"
          [attr.aria-valuenow]="jobDataResponse.systemCpuPercentage"
          aria-valuemin="0"
          aria-valuemax="100">
        </div>
      </div>

    </div>
  </div>

</div>
